Skip to main content
`Ctrl`+`K`

# EPSSetLeftInitialSpace

Specify a basis of vectors that constitute the left initial space, used by two-sided solvers to start the left subspace.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetLeftInitialSpace(EPS eps,PetscInt n,Vec isl[])

Collective

## Input Parameters

- eps - the linear eigensolver context

- n - number of vectors

- isl - set of basis vectors of the left initial space

## Notes

Left initial vectors are used to initiate the left search space in two-sided eigensolvers. Users should pass here an approximation of the left eigenspace, if available.

The same comments in `EPSSetInitialSpace()` are applicable here.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetInitialSpace()`, `EPSSetTwoSided()`

## Level

intermediate

## Location

src/eps/interface/epssetup.c

## Examples

src/eps/tutorials/ex41.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages